//
//  CreatorCommunityAllItemLockView.swift
//  SodaLive
//
//  Created by klaus on 5/24/24.
//

import SwiftUI

struct CreatorCommunityAllItemLockView: View {
    
    let price: Int
    let onClickPurchaseContent: () -> Void
    
    var body: some View {
        VStack(spacing: 26.7) {
            Image("ic_lock_bb")
            
            Text("\(price)캔으로 게시글 보기")
                .font(.custom(Font.bold.rawValue, size: 12))
                .foregroundColor(Color.button)
                .padding(.horizontal, 21)
                .padding(.vertical, 11)
                .overlay(
                    RoundedRectangle(cornerRadius: 26.7)
                        .stroke(Color.button, lineWidth: 1)
                )
                .onTapGesture { onClickPurchaseContent() }
        }
        .frame(width: screenSize().width - 42, height: screenSize().width - 42)
        .background(Color.gray33)
        .cornerRadius(5.3)
    }
}

#Preview {
    CreatorCommunityAllItemLockView(price: 100) {
    }
}
